using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Keyless]
[Table("DimCategory", Schema = "fp")]
public partial class DimCategory
{
    [Column("CategoryID")]
    public int CategoryId { get; set; }

    [StringLength(50)]
    [Unicode(false)]
    public string Category { get; set; } = null!;
}
